// tag-input
.bp3-tag-input {
  border: 0.7px solid rgba(41, 41, 41, 0.16);
  box-sizing: border-box;
  border-radius: 4px;
  box-shadow: none;
  padding: 4px 12px 0;
  position: relative;
  &.bp3-disabled {
    .bp3-tag .bp3-text-overflow-ellipsis, &.bp3-large .bp3-tag .bp3-text-overflow-ellipsis{
      margin-right: 0;
    }
  }
  &[class*='-intent'], &.bp3-active, &.bp3-active[class*='-intent'] {
    box-shadow: none;
    &.bp3-disabled {
      border: 0.7px solid rgba(41, 41, 41, 0.16);
    }
  }
  &.bp3-intent-primary {
    border: 0.7px solid $rt-blue2;
  }
  &.bp3-intent-success {
    border: 0.7px solid $green-pantone3;
  }
  &.bp3-intent-warning {
    border: 0.7px solid $princeton-orange;
  }
  &.bp3-intent-danger {
    border: 0.7px solid $rt-red3;
  }
  .bp3-tag-input-icon {
    color: $rt-dark-gray4;
    margin: 7px 8px 7px 0;
    position: absolute;
    top: 0;
    & + .bp3-tag-input-values {
      margin-left: 24px;
    }
  }
  .bp3-tag-remove {
    margin-right: 0 !important;
    margin: 0;
    padding: 0;
    opacity: 1;
    &:focus {
      outline: none;
      outline-offset: 0;
    }
    svg {
      width: 16px;
      height: 16px;
    }
  }
  .bp3-tag {
    padding: 0 12px;
    .bp3-text-overflow-ellipsis {
      margin-right: 8px;
    }
    &.bp3-active {
      outline: none;
    }
  }
  .bp3-tag-input-values {
    margin: -1px 0;
    &:first-child .bp3-input-ghost:first-child {
      padding-left: 0;
    }
    & > * {
      margin: 0 8px 4px 0;
    }
    .bp3-tag {
      &.bp3-minimal {
        background: rgba(0, 94, 184, 0.08);
        color: $rt-blue2;
      }
    }
    .bp3-input-ghost {
      color: $black3;
      font-size: 13px;
      line-height: 24px;
      margin-bottom: 4px;
    }
  }
  &.bp3-input.bp3-disabled {
    background: rgba(255, 255, 255, 1);
    .bp3-tag-input-values {
      .bp3-tag {
        background: #cccccc;
      }
    }
  }
  &.bp3-large {
    padding: 8px 16px 0;
    .bp3-tag {
      &.bp3-round.bp3-large {
        padding: 0 16px;
      }
      .bp3-text-overflow-ellipsis {
        margin-right: 12px;
      }
    }
    .bp3-tag-input-icon {
      margin: 13px 12px 13px 0;
      & + .bp3-tag-input-values {
        margin-left: 32px;
      }
    }
    .bp3-tag-input-values {
      .bp3-input-ghost {
        line-height: 32px;
      }
      > * {
        margin:0 12px 8px 0;
      }
    }
  }
}
